export default [{"type": "constructor", "stateMutability": "nonpayable", "inputs": []}, {
    "type": "event",
    "name": "FinalizeDepositERC20",
    "inputs": [{"type": "address", "name": "l1Token", "internalType": "address", "indexed": true}, {
        "type": "address",
        "name": "l2Token",
        "internalType": "address",
        "indexed": true
    }, {"type": "address", "name": "from", "internalType": "address", "indexed": true}, {
        "type": "address",
        "name": "to",
        "internalType": "address",
        "indexed": false
    }, {"type": "uint256", "name": "amount", "internalType": "uint256", "indexed": false}, {
        "type": "bytes",
        "name": "data",
        "internalType": "bytes",
        "indexed": false
    }],
    "anonymous": false
}, {
    "type": "event",
    "name": "FinalizeDepositETH",
    "inputs": [{"type": "address", "name": "from", "internalType": "address", "indexed": true}, {
        "type": "address",
        "name": "to",
        "internalType": "address",
        "indexed": true
    }, {"type": "uint256", "name": "amount", "internalType": "uint256", "indexed": false}, {
        "type": "bytes",
        "name": "data",
        "internalType": "bytes",
        "indexed": false
    }],
    "anonymous": false
}, {
    "type": "event",
    "name": "Initialized",
    "inputs": [{"type": "uint8", "name": "version", "internalType": "uint8", "indexed": false}],
    "anonymous": false
}, {
    "type": "event",
    "name": "OwnershipTransferred",
    "inputs": [{
        "type": "address",
        "name": "previousOwner",
        "internalType": "address",
        "indexed": true
    }, {"type": "address", "name": "newOwner", "internalType": "address", "indexed": true}],
    "anonymous": false
}, {
    "type": "event",
    "name": "SetDefaultERC20Gateway",
    "inputs": [{
        "type": "address",
        "name": "oldDefaultERC20Gateway",
        "internalType": "address",
        "indexed": true
    }, {"type": "address", "name": "newDefaultERC20Gateway", "internalType": "address", "indexed": true}],
    "anonymous": false
}, {
    "type": "event",
    "name": "SetERC20Gateway",
    "inputs": [{"type": "address", "name": "token", "internalType": "address", "indexed": true}, {
        "type": "address",
        "name": "oldGateway",
        "internalType": "address",
        "indexed": true
    }, {"type": "address", "name": "newGateway", "internalType": "address", "indexed": true}],
    "anonymous": false
}, {
    "type": "event",
    "name": "SetETHGateway",
    "inputs": [{
        "type": "address",
        "name": "oldETHGateway",
        "internalType": "address",
        "indexed": true
    }, {"type": "address", "name": "newEthGateway", "internalType": "address", "indexed": true}],
    "anonymous": false
}, {
    "type": "event",
    "name": "WithdrawERC20",
    "inputs": [{"type": "address", "name": "l1Token", "internalType": "address", "indexed": true}, {
        "type": "address",
        "name": "l2Token",
        "internalType": "address",
        "indexed": true
    }, {"type": "address", "name": "from", "internalType": "address", "indexed": true}, {
        "type": "address",
        "name": "to",
        "internalType": "address",
        "indexed": false
    }, {"type": "uint256", "name": "amount", "internalType": "uint256", "indexed": false}, {
        "type": "bytes",
        "name": "data",
        "internalType": "bytes",
        "indexed": false
    }],
    "anonymous": false
}, {
    "type": "event",
    "name": "WithdrawETH",
    "inputs": [{"type": "address", "name": "from", "internalType": "address", "indexed": true}, {
        "type": "address",
        "name": "to",
        "internalType": "address",
        "indexed": true
    }, {"type": "uint256", "name": "amount", "internalType": "uint256", "indexed": false}, {
        "type": "bytes",
        "name": "data",
        "internalType": "bytes",
        "indexed": false
    }],
    "anonymous": false
}, {
    "type": "function",
    "stateMutability": "view",
    "outputs": [{"type": "address", "name": "", "internalType": "address"}],
    "name": "ERC20Gateway",
    "inputs": [{"type": "address", "name": "", "internalType": "address"}]
}, {
    "type": "function",
    "stateMutability": "view",
    "outputs": [{"type": "address", "name": "", "internalType": "address"}],
    "name": "defaultERC20Gateway",
    "inputs": []
}, {
    "type": "function",
    "stateMutability": "view",
    "outputs": [{"type": "address", "name": "", "internalType": "address"}],
    "name": "ethGateway",
    "inputs": []
}, {
    "type": "function",
    "stateMutability": "payable",
    "outputs": [],
    "name": "finalizeDepositERC20",
    "inputs": [{"type": "address", "name": "", "internalType": "address"}, {
        "type": "address",
        "name": "",
        "internalType": "address"
    }, {"type": "address", "name": "", "internalType": "address"}, {
        "type": "address",
        "name": "",
        "internalType": "address"
    }, {"type": "uint256", "name": "", "internalType": "uint256"}, {
        "type": "bytes",
        "name": "",
        "internalType": "bytes"
    }]
}, {
    "type": "function",
    "stateMutability": "payable",
    "outputs": [],
    "name": "finalizeDepositETH",
    "inputs": [{"type": "address", "name": "", "internalType": "address"}, {
        "type": "address",
        "name": "",
        "internalType": "address"
    }, {"type": "uint256", "name": "", "internalType": "uint256"}, {
        "type": "bytes",
        "name": "",
        "internalType": "bytes"
    }]
}, {
    "type": "function",
    "stateMutability": "view",
    "outputs": [{"type": "address", "name": "", "internalType": "address"}],
    "name": "getERC20Gateway",
    "inputs": [{"type": "address", "name": "_token", "internalType": "address"}]
}, {
    "type": "function",
    "stateMutability": "view",
    "outputs": [{"type": "address", "name": "", "internalType": "address"}],
    "name": "getL1ERC20Address",
    "inputs": [{"type": "address", "name": "_l2Address", "internalType": "address"}]
}, {
    "type": "function",
    "stateMutability": "pure",
    "outputs": [{"type": "address", "name": "", "internalType": "address"}],
    "name": "getL2ERC20Address",
    "inputs": [{"type": "address", "name": "", "internalType": "address"}]
}, {
    "type": "function",
    "stateMutability": "nonpayable",
    "outputs": [],
    "name": "initialize",
    "inputs": [{"type": "address", "name": "_ethGateway", "internalType": "address"}, {
        "type": "address",
        "name": "_defaultERC20Gateway",
        "internalType": "address"
    }]
}, {
    "type": "function",
    "stateMutability": "view",
    "outputs": [{"type": "address", "name": "", "internalType": "address"}],
    "name": "owner",
    "inputs": []
}, {
    "type": "function",
    "stateMutability": "nonpayable",
    "outputs": [],
    "name": "renounceOwnership",
    "inputs": []
}, {
    "type": "function",
    "stateMutability": "nonpayable",
    "outputs": [],
    "name": "setDefaultERC20Gateway",
    "inputs": [{"type": "address", "name": "_newDefaultERC20Gateway", "internalType": "address"}]
}, {
    "type": "function",
    "stateMutability": "nonpayable",
    "outputs": [],
    "name": "setERC20Gateway",
    "inputs": [{"type": "address[]", "name": "_tokens", "internalType": "address[]"}, {
        "type": "address[]",
        "name": "_gateways",
        "internalType": "address[]"
    }]
}, {
    "type": "function",
    "stateMutability": "nonpayable",
    "outputs": [],
    "name": "setETHGateway",
    "inputs": [{"type": "address", "name": "_newEthGateway", "internalType": "address"}]
}, {
    "type": "function",
    "stateMutability": "nonpayable",
    "outputs": [],
    "name": "transferOwnership",
    "inputs": [{"type": "address", "name": "newOwner", "internalType": "address"}]
}, {
    "type": "function",
    "stateMutability": "payable",
    "outputs": [],
    "name": "withdrawERC20",
    "inputs": [{"type": "address", "name": "_token", "internalType": "address"}, {
        "type": "uint256",
        "name": "_amount",
        "internalType": "uint256"
    }, {"type": "uint256", "name": "_gasLimit", "internalType": "uint256"}]
}, {
    "type": "function",
    "stateMutability": "payable",
    "outputs": [],
    "name": "withdrawERC20",
    "inputs": [{"type": "address", "name": "_token", "internalType": "address"}, {
        "type": "address",
        "name": "_to",
        "internalType": "address"
    }, {"type": "uint256", "name": "_amount", "internalType": "uint256"}, {
        "type": "uint256",
        "name": "_gasLimit",
        "internalType": "uint256"
    }]
}, {
    "type": "function",
    "stateMutability": "payable",
    "outputs": [],
    "name": "withdrawERC20AndCall",
    "inputs": [{"type": "address", "name": "_token", "internalType": "address"}, {
        "type": "address",
        "name": "_to",
        "internalType": "address"
    }, {"type": "uint256", "name": "_amount", "internalType": "uint256"}, {
        "type": "bytes",
        "name": "_data",
        "internalType": "bytes"
    }, {"type": "uint256", "name": "_gasLimit", "internalType": "uint256"}]
}, {
    "type": "function",
    "stateMutability": "payable",
    "outputs": [],
    "name": "withdrawETH",
    "inputs": [{"type": "address", "name": "_to", "internalType": "address"}, {
        "type": "uint256",
        "name": "_amount",
        "internalType": "uint256"
    }, {"type": "uint256", "name": "_gasLimit", "internalType": "uint256"}]
}, {
    "type": "function",
    "stateMutability": "payable",
    "outputs": [],
    "name": "withdrawETH",
    "inputs": [{"type": "uint256", "name": "_amount", "internalType": "uint256"}, {
        "type": "uint256",
        "name": "_gasLimit",
        "internalType": "uint256"
    }]
}, {
    "type": "function",
    "stateMutability": "payable",
    "outputs": [],
    "name": "withdrawETHAndCall",
    "inputs": [{"type": "address", "name": "_to", "internalType": "address"}, {
        "type": "uint256",
        "name": "_amount",
        "internalType": "uint256"
    }, {"type": "bytes", "name": "_data", "internalType": "bytes"}, {
        "type": "uint256",
        "name": "_gasLimit",
        "internalType": "uint256"
    }]
}]