package com.ichaoj.ams.layerzero;

import com.ichaoj.ams.script.JavaScript;
import com.ichaoj.ams.script.JsScript;
import com.ichaoj.ams.script.layerzero.cross.LayerZeroCrossScript;
import com.ichaoj.ams.script.model.AirdropParam;
import com.ichaoj.ams.script.model.AirdropWallet;
import com.ichaoj.ams.script.model.SResult;
import com.ichaoj.ams.script.zksync2.cross.ZkSyncCrossScript;
import org.junit.jupiter.api.Test;

import java.util.HashMap;

public class LayerZeroTest {
    @Test
    void cross() {
        JsScript script = new LayerZeroCrossScript();
        HashMap<String, AirdropParam> params = new HashMap<>();
        params.put("minAmount", new AirdropParam("minAmount", null, "0.0001"));
        params.put("maxAmount", new AirdropParam("maxAmount", null, "0.0002"));
        params.put("accuracy", new AirdropParam("accuracy", null, "5"));
        params.put("source_chain", new AirdropParam("source_chain", null, "opt"));
        params.put("dist_chain", new AirdropParam("dist_chain", null, "arb"));
        params.put("crossGas", new AirdropParam("crossGas", null, "0.0006"));
        AirdropWallet airdropWallet = new AirdropWallet();
        airdropWallet.setAddress("0x368715F09C1AB5E0B55bF5bA19cD887189A28DBE");
        airdropWallet.setPrivateKey("f9eac039449802f20cf0a38bc0b6f4064508fa61897d9c4fcb6cb66bd1311674");

        SResult sResult = script.run(params, airdropWallet);
        System.out.println(sResult);
    }


}
