package com.ichaoj.ams.scroll;

import com.ichaoj.ams.script.JsScript;
import com.ichaoj.ams.script.layerzero.cross.LayerZeroCrossScript;
import com.ichaoj.ams.script.model.AirdropParam;
import com.ichaoj.ams.script.model.AirdropWallet;
import com.ichaoj.ams.script.model.SResult;
import com.ichaoj.ams.script.scroll.cross.ScrollCrossScript;
import org.junit.jupiter.api.Test;

import java.util.HashMap;

public class ScrollTest {
    @Test
    void cross() {
        JsScript script = new ScrollCrossScript();
        HashMap<String, AirdropParam> params = new HashMap<>();
        params.put("minAmount", new AirdropParam("minAmount", null, "0.002"));
        params.put("maxAmount", new AirdropParam("maxAmount", null, "0.004"));
        params.put("accuracy", new AirdropParam("accuracy", null, "5"));
        params.put("distChain", new AirdropParam("distChain", null, "scroll"));
        AirdropWallet airdropWallet = new AirdropWallet();
        airdropWallet.setAddress("0x368715F09C1AB5E0B55bF5bA19cD887189A28DBE");
        airdropWallet.setPrivateKey("f9eac039449802f20cf0a38bc0b6f4064508fa61897d9c4fcb6cb66bd1311674");

        SResult sResult = script.run(params, airdropWallet);
        System.out.println(sResult);
    }
    @Test
    void crossForMain() {
        JsScript script = new ScrollCrossScript();
        HashMap<String, AirdropParam> params = new HashMap<>();
        params.put("minAmount", new AirdropParam("minAmount", null, "0.01"));
        params.put("maxAmount", new AirdropParam("maxAmount", null, "0.04"));
        params.put("accuracy", new AirdropParam("accuracy", null, "5"));
        params.put("distChain", new AirdropParam("distChain", null, "sepolia"));
        AirdropWallet airdropWallet = new AirdropWallet();
        airdropWallet.setAddress("0x368715F09C1AB5E0B55bF5bA19cD887189A28DBE");
        airdropWallet.setPrivateKey("f9eac039449802f20cf0a38bc0b6f4064508fa61897d9c4fcb6cb66bd1311674");

        SResult sResult = script.run(params, airdropWallet);
        System.out.println(sResult);
    }

}
